Package com.io7m.cedarbridge.codegen.java.internal.serializers

# Class CBCGJavaSerializers

java.lang.Object
com.io7m.cedarbridge.codegen.java.internal.serializers.CBCGJavaSerializers

public final class CBCGJavaSerializers extends Object
Functions to generate code for serializers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.io7m.jodist.MethodSpec`
  `createConstructorProtocol(CBProtocolVersionDeclarationType proto)`
  Create a constructor for the given protocol version.
  `static com.io7m.jodist.MethodSpec`
  `createDeserializeMethodProtocol(CBProtocolVersionDeclarationType proto)`
  Create a deserialization method for the given protocol version.
  `static List<com.io7m.jodist.MethodSpec>`
  `createDeserializeMethodsProtocol(CBProtocolVersionDeclarationType proto)`
  Create deserialization methods for the given protocol.
  `static List<com.io7m.jodist.FieldSpec>`
  `createFieldsProtocol(CBProtocolVersionDeclarationType proto)`
  Create a list of class fields for the given protocol version.
  `static com.io7m.jodist.MethodSpec`
  `createSerializeMethodProtocol(CBProtocolVersionDeclarationType proto)`
  Create a serialization method for the given protocol version.
  `static List<com.io7m.jodist.MethodSpec>`
  `createSerializeMethodsProtocol(CBProtocolVersionDeclarationType proto)`
  Create serialization methods for the given protocol.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### createDeserializeMethodsProtocol

    public static List<com.io7m.jodist.MethodSpec> createDeserializeMethodsProtocol(CBProtocolVersionDeclarationType proto)
    Create deserialization methods for the given protocol.
    Parameters:
      `proto` - The protocl
    Returns:
      The list of methods

  - ### createDeserializeMethodProtocol

    public static com.io7m.jodist.MethodSpec createDeserializeMethodProtocol(CBProtocolVersionDeclarationType proto)
    Create a deserialization method for the given protocol version.
    Parameters:
      `proto` - The protocol version
    Returns:
      A deserialization method

  - ### createSerializeMethodsProtocol

    public static List<com.io7m.jodist.MethodSpec> createSerializeMethodsProtocol(CBProtocolVersionDeclarationType proto)
    Create serialization methods for the given protocol.
    Parameters:
      `proto` - The protocl
    Returns:
      The list of methods

  - ### createSerializeMethodProtocol

    public static com.io7m.jodist.MethodSpec createSerializeMethodProtocol(CBProtocolVersionDeclarationType proto)
    Create a serialization method for the given protocol version.
    Parameters:
      `proto` - The protocol version
    Returns:
      A serialization method

  - ### createFieldsProtocol

    public static List<com.io7m.jodist.FieldSpec> createFieldsProtocol(CBProtocolVersionDeclarationType proto)
    Create a list of class fields for the given protocol version.
    Parameters:
      `proto` - The protocol version
    Returns:
      A list of class fields

  - ### createConstructorProtocol

    public static com.io7m.jodist.MethodSpec createConstructorProtocol(CBProtocolVersionDeclarationType proto)
    Create a constructor for the given protocol version.
    Parameters:
      `proto` - The protocol version
    Returns:
      A constructor